Bug 71498 - tetex does not work with Unicode.
tetex does not work with Unicode.
Status: CLOSED CURRENTRELEASE
Product: Fedora
Classification: Fedora
Component: tetex (Show other bugs)
2
i386 Linux
medium Severity medium
: ---
: ---
Assigned To: Jindrich Novy
http://www.unruh.de/DniQ/latex/unicode/
: i18n
: 77311 99155 109229 127800 (view as bug list)
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2002-08-14 09:39 EDT by Martin Horstmann
Modified: 2013-07-02 18:56 EDT (History)
16 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2005-04-26 13:16:32 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
try this file with latex file.tex (211 bytes, text/plain)
2002-08-14 09:43 EDT, Martin Horstmann
no flags Details

  None (edit)
Description Martin Horstmann 2002-08-14 09:39:22 EDT
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.0.1) Gecko/20020804

Description of problem:
no support for UTF-8 encoding in tetex. File createt with KILE wont compile
right. The umlaut(dv| etc) are not right displayed.

Version-Release number of selected component (if applicable):
tetex-1.0.7-55
This is TeX, Version 3.14159 (Web2C 7.3.1)


How reproducible:
Always

Steps to Reproduce:
1.latex file.tex
2.
3.
	

Actual Results:  i cant see the umlaute

Expected Results:  see dv| etc ....

Additional info:

i saw a package with UTF-8 support http://www.unruh.de/DniQ/latex/unicode/ which
is not included in the tetex distribution
Comment 1 Martin Horstmann 2002-08-14 09:43:35 EDT
Created attachment 70584 [details]
try this file with latex file.tex
Comment 2 Tim Waugh 2002-11-05 06:56:16 EST
*** Bug 77311 has been marked as a duplicate of this bug. ***
Comment 3 Markus Kuhn 2002-12-03 15:19:56 EST
Possible example workaround to get a-umlaut encoded in UTF-8 recognized by TeX:

  \documentclass{article}
  \begin{document}

  % C3 A4 = LATIN SMALL LETTER A WITH DIAERESIS = \"a
  \catcode`^^c3=\active
  \def^^c3#1{\expandafter\ifx\csname UTF@C3@#1\endcsname\relax
  \unsupportedsequence\else\csname UTF@C3@#1\endcsname\fi}
  \expandafter\def\csname UTF@C3@^^a4\endcsname{\"a}

  Umlaut a with diaresis in UTF-8: d
  \end{document}

I forwarded this bug report to bugs@latex-project.org where it has been filed as
latex/3480 and is now the subject of an ongoing discussion there, see

  http://www.latex-project.org/cgi-bin/ltxbugs2html
Comment 4 Rui Miguel Seabra 2002-12-17 09:08:38 EST
On this page is a package that adds support for unicode.

I have been using it so far, and it seems to work.

http://www.unruh.de/DniQ/latex/unicode/
Comment 5 Tim Waugh 2003-07-15 06:14:06 EDT
*** Bug 99155 has been marked as a duplicate of this bug. ***
Comment 6 Markus Kuhn 2004-05-19 08:33:17 EDT
The LaTeX distribution had beta-test support for UTF-8 since March 2004:

  ftp://ftp.tex.ac.uk/tex-archive/macros/latex/base/utf8ienc.dtx
  http://www.latex-project.org/ltnews/ltnews15.pdf

You can now simply write \usepackage[utf8]{inputenc} and then encode
at least some of TeX's standard character repertoire in UTF-8 in your
LaTeX sources.

This package is meant to be much more light-weight than Dominique
Unruh's earlier UTF-8 package.
Comment 7 Tim Waugh 2004-05-19 08:36:21 EDT
Excellent news!

Hopefully this version will make it into the next teTeX release.

Thanks for the update.
Comment 8 Marius Andreiana 2004-06-01 07:20:24 EDT
Is this related/duplicate of bug #83215 ?
Comment 9 Aleksey Nogin 2004-06-01 07:37:54 EDT
No, this bug is about TeX, but bug 83215 is about perl
Comment 10 Leonard den Ottolander 2004-07-01 11:14:06 EDT
*** Bug 109229 has been marked as a duplicate of this bug. ***
Comment 11 Leonard den Ottolander 2004-07-01 21:01:16 EDT
Personally I think this version changing is ugly as it makes you loose
context (against which release the bug originally was filed), but it
already happened before :( .

Just adding a comment to a bug stating the report is still valid for
the current release (FC 2) is cleaner IMO.
Comment 12 Alexandre Oliva 2004-07-01 21:57:05 EDT
devel doesn't give any info whatsoever about when the bug was filed. 
As for updating to an recent release number, my experience has been
that bugs that remain unchanged for a long time, especially went filed
against old releases, tend to remain unchanged, and sometimes bumping
it up to the latest release brings it to the maintainer's attention
that the problem is still present.

As for preserving information about what the bug was filed against,
that's why there's a field in the bug report that asks for the package
version number.
Comment 13 Leonard den Ottolander 2004-07-02 06:22:02 EDT
<bad me having OT discussion in bugzilla>
Agreed on the "devel" not giving a lot of info.

But any bug that is still unresolved should be considered relevant to
the current release (otherwise it should be closed). The fact that I
close another bug as duplicate of this should have already drawn the
attention of the maintainer.
</bad me>
Comment 14 Miloslav Trmac 2004-07-14 08:37:28 EDT
*** Bug 127800 has been marked as a duplicate of this bug. ***
Comment 15 Thomas Zehetbauer 2004-10-18 08:28:19 EDT
What's the problem with this? RedHat is already shipping patched
versions in serveral packages, why not just include Dominique Unruh's
patch? Looking at LaTeX's architecture it should have no side effects
unless actively used though.
Comment 16 Markus Kuhn 2004-10-18 10:12:13 EDT
Energies are probably better spent on helping to finish

  ftp://ftp.tex.ac.uk/tex-archive/macros/latex/base/utf8ienc.dtx

which is how the LaTeX Project plans to do UTF-8 support. Once that's
done, it should quickly trickle downstream on its own through tetex
and into all the Linux distribs. No point in contacting each
maintainer of the individual distribution's packages, while the
problem is still being worked on actively upstream.

For comparison: SuSE Linux has included Dominique Unruh's monster
package at least since varsion 8.1 (October 2002), but as a separate
RPM, thereby avoiding problems that might occur once the LaTeX
base-system UTF-8 support arrives through tetex. Current SuSE RPMs:

ftp://ftp.suse.com/pub/suse/i386/9.1/suse/noarch/latex-ucs-20030605-107.noarch.rpm
ftp://ftp.suse.com/pub/suse/i386/9.1/suse/src/latex-ucs-20030605-107.src.rpm
Comment 17 Matthew Miller 2005-04-26 12:00:47 EDT
Fedora Core 2 is now maintained by the Fedora Legacy project for
security updates only. If this problem is a security issue, please
reopen and reassign to the Fedora Legacy product. If it is not a
security issue and hasn't been resolved in the current FC3 updates or
in the FC4 test release, reopen and change the version to match.
Comment 18 Alexandre Oliva 2005-04-26 13:16:32 EDT
Fedora Extras 3 has tetex-unicode, and I understand that's built into tetex-3.0,
that's present in FC4 test releases, so I believe we've got this all covered.

Note You need to log in before you can comment on or make changes to this bug.